#! /bin/bash
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# eolepack
#
# script d'initialisation du service eole sso
#
###########################################################################
#
### BEGIN INIT INFO
# Provides:          eolepack
# Required-Start:    $local_fs $remote_fs
# Required-Stop:     $local_fs $remote_fs
# Default-Start:     2 3 4 5
# Default-Stop:      S 0 1 6
# Short-Description: eolepack initscript
# Description:       demarrage/arret du Service EolePack
### END INIT INFO
#
# Author:	Equipe Eole <eole@ac-dijon.fr>.
#

set -e

NAME=eolepack
SCRIPTNAME=/etc/init.d/$NAME
PIDFILE1=/home/eole/eolepack/eolepack.pid
LOGFILE=/home/eole/eolepack/eolepack.log
DESC1="Serveur de Compilation"

#export PYTHONPATH

. /lib/lsb/init-functions

# Gracefully exit if the package has been removed.
if [ ! -f /home/eole/eolepack/eolepack/xmlrpcbuild.py ];then
    gprintf "le service eolepack n'est pas installé\n"
    exit -1
fi

#
#	Function that starts the daemon/service.
#
d_start() {
	log_begin_msg "Starting $DESC1"
	if [ -f $PIDFILE1 ]
	then
		log_end_msg 1
	else
		cd /home/eole/eolepack/
		python eolepack/xmlrpcbuild.py >>$LOGFILE 2>&1 &
		echo $! >$PIDFILE1
		log_end_msg 0
	fi
}

#
#	Function that stops the daemon/service.
#
d_stop() {
	log_begin_msg "Stopping $DESC1"
	if [ -f $PIDFILE1 ]
	then
		pid=`cat $PIDFILE1`
		rm -f $PIDFILE1 >/dev/null 2>&1
		kill -TERM $pid >/dev/null 2>&1 || log_warning_msg "le service est déjà mort"
	fi
        # pour le restart
        log_end_msg 0
}

case "$1" in
  start)
	d_start
	;;
  stop)
	d_stop
	;;
  restart|force-reload)
	d_stop
	sleep 2
	d_start
	;;
  status)
	if ! [ -f $PIDFILE1 ]
	then
		echo "$DESC1 est arrêté"
	else
		pid=`cat $PIDFILE1`
		kill -0 $pid
		if [ $? == 0 ]
		then
			echo "$DESC1 (pid $pid) est actif ..."
		else
			echo "$DESC1 est arrêté"
		fi
	fi
	;;
  *)
	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
	exit 3
	;;
esac

exit 0
